<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.EditGroupController">
   <children>
      <ImageView fitHeight="400.0" fitWidth="600.0" opacity="0.8">
         <image>
            <Image url="@ikone/pozadina.jpg" />
         </image>
      </ImageView>
      <ScrollPane fx:id="GroupScrollPane" layoutX="300.0" layoutY="100.0" onKeyTyped="#onKeyTyped" prefHeight="200.0" prefWidth="200.0">
         <content>
            <AnchorPane minHeight="0.0" minWidth="0.0" opacity="0.6" prefHeight="200.0" prefWidth="200.0">
               <children>
                  <ListView fx:id="lista" onMouseClicked="#mouseClicked" opacity="0.6" prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #D6BCA2;" />
               </children></AnchorPane>
         </content>
      </ScrollPane>
      <Label layoutX="300.0" layoutY="80.0" text="Grupe:" />
      <TextField fx:id="stariNaziv" layoutX="80.0" layoutY="70.0" editable="false" />
      <TextField fx:id="noviNaziv" layoutX="80.0" layoutY="120.0" />
      <ComboBox fx:id="TipGrupeComboBox" layoutX="80.0" layoutY="170.0" prefHeight="26.0" prefWidth="171.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="nastavnikComboBox" layoutX="80.0" layoutY="220.0" prefHeight="26.0" prefWidth="171.0" style="-fx-background-color: #B39374;" />
      <Label layoutX="80.0" layoutY="50.0" text="Naziv odabrane grupe:" />
      <Label layoutX="80.0" layoutY="150.0" text="Izmijeni tip grupe:" />
      <Label layoutX="80.0" layoutY="100.0" text="Novi naziv grupe:" />
      <Label layoutX="80.0" layoutY="200.0" text="Izmijeni nastavnika:" />
      <Button layoutX="83.0" layoutY="270.0" mnemonicParsing="false" onAction="#editGroupDBButton" prefWidth="70.0" style="-fx-background-color: #B39374;" text="OK" textFill="WHITE" />
      <Button fx:id="nazad" cancelButton="true" layoutX="158.0" layoutY="270.0" mnemonicParsing="false" onAction="#nazad" prefWidth="70.0" style="-fx-background-color: #B39374;" text="Nazad" textFill="WHITE" />
   </children>
</AnchorPane>
